<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >

  <xsl:output method="html" indent="yes"/>

  <xsl:template match="enumerations">
    <xsl:apply-templates />
  </xsl:template>

  <xsl:template match="choices[@id='contests']">
    <html>
      <head>
	<title>Contests Enumeration</title>
	<link rel="stylesheet" type="text/css" href="adif217.css" />
	<style type="text/css">
	  td.contest-id { width: 50%; }
	  td.description { width: 50%; }
	</style>
      </head>
      <body>
	<p class="documentVersion"><xsl:value-of select="@version" /></p>
	<h1>Contests Enumeration</h1>
	<div class="center50">
	  <table border="1" class="center50">
	    <tbody>
	      <tr>
		<th class="contest-id">Contest-ID</th>
		<th class="description">Description</th>
	      </tr>
	      <!-- <item> <value>ANARTS-RTTY</value> <label>ANARTS WW RTTY</label> </item>-->
	      <xsl:for-each select="item">
		<tr>
		  <td class="contest-id"><xsl:value-of select="value" /></td>
		  <td class="description"><xsl:value-of select="label" /></td>
		</tr>
	      </xsl:for-each>
	    </tbody>
	  </table>
	</div>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="*|@*|text()" />

</xsl:stylesheet>
